import { Description } from "./Description";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class ToolActionInfoDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    private static __marshalByValue;
    private static __marshalByValueAlias;
    constructor();
    private am;
    get parentId(): string;
    set parentId(a: string);
    private ah;
    get commandId(): string;
    set commandId(a: string);
    private af;
    get commandArgument(): string;
    set commandArgument(a: string);
    private ag;
    get commandArgumentValueRef(): string;
    set commandArgumentValueRef(a: string);
    private t;
    get paddingLeft(): number;
    set paddingLeft(a: number);
    private u;
    get paddingRight(): number;
    set paddingRight(a: number);
    private s;
    get paddingBottom(): number;
    set paddingBottom(a: number);
    private v;
    get paddingTop(): number;
    set paddingTop(a: number);
    private al;
    get name(): string;
    set name(a: string);
    private ap;
    get title(): string;
    set title(a: string);
    private an;
    get subtitle(): string;
    set subtitle(a: string);
    private ak;
    get iconName(): string;
    set iconName(a: string);
    private aj;
    get iconCollectionName(): string;
    set iconCollectionName(a: string);
    private p;
    get iconViewBoxLeft(): number;
    set iconViewBoxLeft(a: number);
    private q;
    get iconViewBoxTop(): number;
    set iconViewBoxTop(a: number);
    private r;
    get iconViewBoxWidth(): number;
    set iconViewBoxWidth(a: number);
    private o;
    get iconViewBoxHeight(): number;
    set iconViewBoxHeight(a: number);
    private l;
    get isDisabled(): boolean;
    set isDisabled(a: boolean);
    private ao;
    get textColor(): string;
    set textColor(a: string);
    private ai;
    get disabledTextColor(): string;
    set disabledTextColor(a: string);
    private k;
    get closeOnExecute(): boolean;
    set closeOnExecute(a: boolean);
    private h;
    get actions(): ToolActionInfoDescription[];
    set actions(a: ToolActionInfoDescription[]);
}
